package com.winhc.phoenix.example.controller;

import com.winhc.phoenix.example.aspect.Timer;
import com.winhc.phoenix.example.service.LegislationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

/**
 * @author: XuJiakai
 * 2022/9/2 11:42
 */
@Slf4j
@AllArgsConstructor
@RestController
@Api(tags = "法规查询", value = "legislation")
@RequestMapping("legislation")
public class LegislationController {
    private final LegislationService legislationService;

    @Timer
    @ApiOperation(value = "法规查询")
    @GetMapping("query")
    public Object query(String content
            , @RequestParam(defaultValue = "0") int from
            , @RequestParam(defaultValue = "10") int size
    ) {
        return legislationService.search(content, from, size);
    }
}
